Description
Dear support team

when | try to create a new VM with foreman on oVirt | cannot able to select an storage domain from the dropdown menu because it
doesn't work.

As you can see from the next image if | select the dropdown menu nothing is displayed

Storage
Size (GB)
Storage domain powervault v
Preallocate disk Uses thin provisioning if unchecked
Bootable Only one volume can be bootable

Viewing the source code | found 2 elements for the dropdown menu, asu you can see from the next image:

b =div class="select2-container form-control col-md-2 without_select2’ id-"s2id_host_compute_attributes_volumes_attributes_new 1454922522625 storage_domain'=.=/div
b =div class="selectZ2-container form-control col-md-2 without_select2’ id="s2id_host_compute_attributes_volumes_attributes_new_1454922522625 storage_domain' title
style="display: none;"=.=/div

pr=select class="form-control col-md-2 without_select2” id="host_compute_attributes_volumes_attributes_new 1454922522625 storage_domain” name

hostlcompute attributesllvolumes attributes]inew 14549225226251[storace domainl® tabindex="-1" title stvle="displav: none:"=.</select

If | delete the first element and remove "display: none" from the style parameter, as you can see in the next image:

b =div class="select2-container form-control col-md-2 without_select2" id="s2id_host_compute_attributes_volumes_attributes_new 1454922522625 storage_domain” title
style=.=/div

b =select class="form-control col-md-2 without_select2' id="host_compute_attributes_volumes_attributes_new 1454922522625 storage_domain” name
host[compute_attributes][volumes_attributes][new 1454922522625] [storage_domain] " tabindex="-1" title style="display: none;"=.=/select

....... [P Y N R R femonm

Al works fine, as you can see in the next image:
Storage

Size (GB)
Storage domain powervault a

Preallocate disk
powervault

|It::I

Bootable powervault2

+ Add Volume

Best regards
Diego

powervault3

powervaultd

Related issues:
Related to Foreman - Bug #14041: VM provisioning : dropdown lists greyed out ... Closed 03/03/2016

History

#1 - 02/08/2016 05:11 AM - Dominic Cleal
- Category changed from Web Interface to Compute resources - oVirt

- Priority changed from Urgent to Normal

#2 - 02/08/2016 07:42 AM - Doina Cristina Aiftimiei

Same problem here and is... blocking.
Working with workarounds is not a clean way to go.

#3 - 02/11/2016 05:44 AM - Ben Bettridge

If you view a host that already has disks attached to it, then the form works correctly. Might indicate that the issue is in whatever code generates the
form on the page.

Had a look through the code, but | can't really make heads or tails of where this all happens.

#4 - 02/15/2016 05:57 PM - Ben Bettridge

Dug through it some more. At runtime the template is generated correctly (without the extra div), but on the page it is stored incorrectly in the DOM. It
appears not to be an issue with the template generation, but instead with what ever process is adding it to the DOM, under children_fields. This is a
pretty critical bug because it more or less prevents people from building out virtual machines - is anyone else looking at it?

This bug impacts VMWare Plugin, oVirt Plugin and a version of the Xen Plugin.

#5 - 02/24/2016 10:33 AM - Diego Michelotto

The bug still exist in the 1.10.2 release.

Regards
Diego

#6 - 02/28/2016 08:41 AM - Angelo Lisco
Unluckily, even if the foreman interface was migrated to Patterfly, the bug is still present in 1.11RC1 release.

| think this should be fixed before 1.11 GA.

#7 - 03/09/2016 01:05 PM - Anonymous

- translation missing: en.field_release set to 71

As this seems to be a general bug that's hitting multiple compute resource types, somebody should have a look.

#8 - 03/09/2016 03:06 PM - David Rom
- Related to Bug #14041: VM provisioning : dropdown lists greyed out in new volume fields added
#9 - 03/17/2016 11:56 AM - Dominic Cleal
- Status changed from New to Duplicate

- translation missing: en.field_release deleted (71)

This should be fixed by the changes under ticket #14041, which are currently in review and anticipated to be included in 1.10.3. This means they will
probably be in 1.11.0 too, depending on the timing. Thanks for the report!
